
@font-face {
	font-family: 'Exo2';
	src: url('Exo2-Regular.otf');
}

@font-face {
	font-family: 'Andika';
	src: url('Andika-R.ttf');
}



body {
	margin: 1em 0;
  	height: 100%;
  	font-family: Arial, Verdana, 'Andika', 'Exo2', sans-serif;
  	font-size: 1em;
  	line-height: 1.3;
  	text-align: justify;
  	background: rgb(200,200,200);
  	hyphens: auto;
}

header {
	position: fixed;
	left:0;
  	top:0;
  	right:0;
  	height: 7.5em;
	text-align: left;
	vertical-align: middle;
	background-image: url('circuit.jpg');
	background-position: center center;
	background-size: 100%;
	z-index: 1;
}




#logo img{
	float: left;
}

#logo {
	padding-left: 3em;
	background-image: linear-gradient(to right, rgba(34,87,155,0.5),rgba(34,87,155,0));
}

#logo img {
	display: inline-block;
	vertical-align: middle;
}

#logo a, #logo span {
	font-size: 3em;
	font-weight: bold;
	padding-left: 1em;
	color: white;
	text-decoration: none;
}

#menu {
	/*position: relative;*/
	margin: 0 auto;
	text-align: center;
	z-index: 2;
}

#menu li {
	display: inline-block;
}

#menu a {
	display: block;
	padding: 0.8em;
	margin: 0 auto;
	font-size: 1em;
	text-decoration: none;
	color: white;
	background-color: rgb(34,87,155);
	box-shadow: 0 15px 10px -5px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
	color: white;
	min-width: 6em;
	transition: all 0.2s ease;
}

/*
#menu a {
	display: block;
	padding: 0.8em;
	margin: 0 auto;
	font-size: 1em;
	text-decoration: none;
	color: blue;
	background-color: rgb(34,87,155);
	background-image:url('ctrl.jpg');
	background-clip: border-box;
	background-repeat: no-repeat;
	background-size: 100% 100%;
	box-shadow: 0 15px 10px -5px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
	min-width: 6em;
	transition: all 0.2s ease;
}
*/

#menu a:hover {

	box-shadow: 1px 1px 10px black inset, 0 1px 0 rgba( 255, 255, 255, 0.4);
	box-shadow: 0 10px 10px -5px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;


	transition: all 0.1s ease;
}

#menu a:active {

	box-shadow: 1px 1px 10px black inset, 0 1px 0 rgba( 255, 255, 255, 0.4);
	/*box-shadow: 0 10px 10px -5px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;*/
}

#menu #en_cours a {


	box-shadow: 1px 1px 10px black inset, 0 1px 0 rgba( 255, 255, 255, 0.4);
	/*box-shadow: 0 10px 10px -5px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;*/
}

#titre {
	margin: 0 auto;
	width: 20em;
	height: 1.5em;
	background-color: rgb(34,87,155);
	box-shadow: 0 15px 10px -5px rgba(0, 0, 0, 0.5), 0 1px 4px rgba(0, 0, 0, 0.3), 0 0 40px rgba(0, 0, 0, 0.1) inset;
	padding: 0.5em;
	color: white;
	font-size: 1.2em;
	text-align: center;
}

#menu_fixe {
	display: table;
	position: fixed;
	margin-top: 0em;
   left: -11em;
	z-index: 5;
   background: rgba(34, 87, 155, 0.7);
   color: white;
   text-align: center;
	border: solid rgba(34, 87, 155, 0.5);
   border-left: none;
   padding: 1em 3em 1em 1em;
   box-shadow: 2px 2px 3px gray;
   border-radius: 0em 3em 3em 0em;

	transition: all 0.5s ease;
}

#menu_fixe:hover {
	left: 0em;

	transition: all 0.5s ease;
}

#menu_fixe ul ol {
	display: table-cell;
	vertical-align: middle;
	list-style: none;
}

#menu_fixe li{
	padding: 0.5em 0;
}

#menu_fixe a{
	color: white;
	text-decoration: none;
}

.contenu {
	width: 70%;
   margin: 2em auto;
	background: rgb(250,250,250);
	border: 4px double white;
	padding: 2em 3em;
	border-radius: 10px;
	box-shadow: 10px 10px 30px 0px #000000;
	text-align: justify;
	min-width: 5em;
	max-width: 100%;
}

.contenu_1 {
	width: 70%;
   margin: 10em auto 2em auto;
	background: white;
	border: 4px double white;
	padding: 2em 3em;
	border-radius: 10px;
	box-shadow: 10px 10px 30px 0px #000000;
	text-align: justify;
	min-width: 5em;
	max-width: 100%;
}

#sommaire {
	/*line-height: 1.3;*/
	margin: 2em 0 3em 2em;
}

#sommaire p{
	margin: 0;
}

#sommaire a{
	color: blue;
	text-decoration: none;
}

.title_lv1{
	font-weight: bold;
	font-size: xx-large;
}

.title_lv2{
	font-size: x-large;
	padding: 0.25em 0 0.25em 1em;
}

.title_lv3{
	font-size: large;
	padding: 0.125em 0 0.125em 3em;
}

.title_lv4{
	padding: 0.125em 0 0.125em 5em;
}

.title_lv5{
	padding-left: 7em;
}

.title_lv6{
	padding-left: 9em;
}

/* décalage des ancres depuis le haut de l'écran pour éviter qu'elles soient cachées sous le header*/
*:target {
    padding-top: 7.5em;
    margin-top: -7.5em;
}

hr {
	margin-bottom: 2em;
}

.travail{

	background : linear-gradient(to bottom right, LightSkyBlue, white);
	background-size: contain;
	padding: 2em;
	margin-left: 2em;
	border-radius: 5px 5px 0 0;
}

.travail::before {
    content: 'Travail';
    color: LightSlateGray;
    float: left;
    position: absolute;
    background-color: LightSkyBlue;
    margin-top: 0.5em;
    margin-left: -4.4em;
    padding: 0 1em;
    border-radius: 5px 5px 0 0;
    transform: rotate(-90deg);
    font-size: 1.5em;
}

#footer {
	clear: both;
	width: 60%;
    margin: 0 auto;
	background: #F3F2ED;
	border: 4px double white;
	padding:0.5em 2em 2em 2em;
	border-radius: 10px;
	box-shadow: 3px 3px 6px 5px #A9A9A9;
	font-size: 1em;
	text-align: left;
	min-width: 5em;
	max-width: 100%;
}

button:not(.toolbar), input, select, textarea {
  font-family : inherit;
  font-size   : 100%;
}

var {
	font-size: 1em;
	font-family: Courier;
}

sub {
	font-size: 0.6em;
}

li {
	margin-top: 0.5em;
	margin-bottom: 0.5em;
}


.image_cote {
	margin: 0 auto;
	display: flex;
	flex-direction: row;
	flex-wrap: no-wrap;
	align-items: center;
	justify-content: space-evenly;
}


.image_cote .texte{
	flex: 1 1 60%;
	flex-direction: row;
	padding: 1.5em;
	}

.image_cote img{
	flex: 1 1 40%;
	flex-grow:0;
   flex-shrink:0;
	text-align: center;
	width: auto;
	max-width: 100%;
	box-shadow: 3px 3px 6px 5px #A9A9A9;
}

.bloc_image {
	margin: 0 auto;
	display: flex;
	flex-direction: row;
	flex-wrap: no-wrap;
	align-items: center;
	justify-content: space-evenly;
}

.bloc_image .fig {
	flex: 1 1 content;
	text-align: center;
	margin: 0 1em;
}

.fig img{
	max-width: 100%;
	box-shadow: 3px 3px 6px 5px #A9A9A9;
}

/*
.bloc_image figure {
	height: 100%;
	vertical-align: middle;
	flex: 1;
}


.bloc_image img {
	padding: 0 10 0 10;
	margin: 20;
	max-width: 50%;
	height: 100%;
	display : inline-block;
	vertical-align: middle;
	box-shadow: 3px 3px 6px 5px #A9A9A9;
}
*/

canvas {
	display: block;
	margin: 0 auto;
}

table{
	border-collapse:collapse;border-spacing:0;width:100%;display:table;
	border:1px solid #ccc;
	table-layout: auto;
	max-width: 100%;
}

tr,td {
	border:1px solid #ccc;

}

tr:nth-child(even){
	background-color:#f1f1f1;
}

tr:nth-child(odd){
	background-color:#fff;
}

tr, td{
	text-align:center;
}

td, th {
	padding:8px 8px;display:table-cell;text-align:center;vertical-align:middle;
	white-space: normal;
}

th:first-child, td:first-child{
	padding-left:1em;
}


h1 {font-family:"Segoe UI",Arial,sans-serif;font-weight:400;margin: 2em 0 1em 0;}
h2,h3,h4,h5,h6{font-family:"Segoe UI",Arial,sans-serif;font-weight:400;margin: 2em 0 1em 0;}

h1	{
	width: 100%;
	font-size: 3em;
	text-align: justify;
}

h2 {
	width: 100%;
	font-size: 2em;
	padding: 0.2em;
	border-bottom: 5px double gray;
}

h3 {
	width: 100%;
	font-size: 1.5em;
	padding: 0.2em;
	border-bottom: 3px dotted gray;

}

h4 {
	font-size: 1.25em;
	font-weight: bold;
}

h5 {
	font-size: 1em;
	font-weight: bold;
}

h6 {
	font-size: 1em;
	font-weight: bold;
}


.lien {
	color: blue;
	text-decoration: underline;
}

code:not(pre) {
	border-radius: 2px;
	padding: 1px 4px;
	background-color: #f8f9fa;
	color: #000;
	border: 2px solid #eaecf0;
	font-family: monospace,monospace;
	font-size: 1em;
	
	/*font-size: 1.2em;
	font-family: monospace;
	background-color: rgb(220,220,220);
	background-clip: padding-box;
	padding: 0 2px;*/
}


figcaption {
	font-size: 0.9em;
	font-style: italic;
	text-align: center;
	width: auto;
	margin-top: 1em;
	margin-bottom: 1em;
}



.contenu a {
	color: orange;
	text-decoration: none;
}

.contenu a:hover {
	color: black;
	background: orange;
}

.contenu_1 a {
	color: orange;
	text-decoration: none;
}

.contenu_1 a:hover {
	color: black;
	background: orange;
}

#footer a {
	color: orange;
	text-decoration: none;
}

#footer a:hover {
	color: black;
	background: orange;
}

#precedent {
	float: left;
}

#suivant {
	float: right;
}

#recette {
	font-family: monospace;
	margin: 0.5em auto;
	width: 80%;
	font-size: 1.2em;
	border: 2px solid black;
	border-radius: 5px;
	background: white;
	padding: 1em;
}


.algo {

	font-family: monospace;
	width: 80%;
	margin-left: 5em;
	font-size: 1em;
	border: 2px solid black;
	border-radius: 5px;
	background: white;
	padding: 0.5em 0.5em 0.5em 5em;
	color: blue;
}

.flow {
	margin: 1em auto;
	width: 50%;
	padding: 0.5em;
	text-align: center;
	background: white;
	border: 2px solid black
}

#qcm {
	width: 60%;
	margin: 0 auto;
	text-align: center;
}

.question {
	text-align:left;
	margin: 1em;
	padding: 1em;
	border: solid;
  	border-radius: 5pt;
  	border-width: 1pt;
}

.chat {
	background-color: white;
	padding: 1em;
	margin: 1em;

}

.chat input{

	margin: 1em;
	display: block;
}
/*--------- Formulaire contact-------*/

form::not(.qcm) {
	width: 60%;
	margin: 0 auto;
	text-align: center;
}

legend {
	font-weight: bold;
}

input {
	border-radius: 5px;
}

#envoyer {
	font-size: 1.1em;
}

/*--- Bloc solution -------*/

.solution {
	display: inline-block;
	padding: 0.5em;
	font-weight: bold;
	background-color: red;
	color: white;
	max-width: auto;

}

.solution:hover {
	background-color: white;
	color: red;
}


.cache {
	display: none;
}

.cache:not(span) {
	width: 80%;
	margin: 1em auto;
	padding: 1em 0em 1em 1em;
}




.reponse {
	width: 80%;
	margin-left: 5em;
	font-family: monospace;
	font-size: 1.2em;
	font-weight: normal;
	color: black;
	border: 2px solid black;
	border-radius: 5px;
	background: white;
	padding: 1em 1em 1em 1em;
	text-align: left;

}

.accordeon {
	display: block;
	width: 80%;
	max-height: 1.7em;
	overflow: hidden;
	margin: auto;

   transition:1s ease;
}

.accordeon:hover{
	max-height: 999px;
}

.tip {
	text-align: left;
	color: blue;
}

/* Formatage éditeurs Python et zones de sortie / erreurs, boutons,... */

.editeur_python {
	margin: 1.5em auto 1.5em auto;
}

.erreur {
	padding: 5px 10px;
	margin: 30px 0;
	font-size: 1.25em;
	font-family: monospace;
  	color: red;
	
}

.sortie {
	font-size: 1.25em;
	font-family: monospace;
	min-height: 1em;
	padding: 5px 10px;
	margin: 30px 0;
	overflow: auto;
	color: #000000;
	background-color: #FFF3F3;
	border-left: 3px ridge #DF3F3F;
	white-space : pre-wrap;
}

.action {
    border: 0;
    padding: 5px;
    margin: 0 5px;
    font-size: 0.8em;
    text-align: center;
    color: #fff;
    text-shadow: 1px 1px 1px #000;
    border-radius: 5px;
    background-color: rgba(50, 150, 200,200);
    background-image: linear-gradient(to top left,
                                      rgba(0, 0, 0, .2),
                                      rgba(0, 0, 0, .2) 30%,
                                      rgba(0, 0, 0, 0));
    box-shadow: inset 2px 2px 3px rgba(255, 255, 255, .6),
                inset -2px -2px 3px rgba(0, 0, 0, .6);
}

.action:hover {
    background-color: rgba(255, 0, 0, 1);
}

.action:active {
    box-shadow: inset -2px -2px 3px rgba(255, 255, 255, .6),
                inset 2px 2px 3px rgba(0, 0, 0, .6);
}

/*---Equation avec des fractions----*/

.equation {
	text-align: center;
	}

.fraction {
	display: inline-block;
	position: relative;
	vertical-align: middle;
	letter-spacing: 0.01em;
	text-align: center;
	}
.fraction > span {
	display: block;
	padding: 0.2em;
	}
.fraction span.fdn {border-top: thin solid black;}
.fraction span.bar {display: none;}

.gl_exercice {

  border: solid;
  border-radius: 5pt;
  border-width: 2pt;
  padding : 5px;
	margin-bottom:1em;
}

.gl_title {
  font-weight: bold;
  font-family: monospace;
  padding:5px;
  font-size: 150%;
}

.graphe {
	display: flex;
	flex-wrap: nowrap; 
	width: 80%; 
	margin: auto;
	align-items: center;
	align-content: space-around;
  	justify-content: space-around;
}

.network {
	display: inline-block;
  width: 600px;
  height: 400px;
  border: 1px solid lightgray;
  margin: auto;
}

.graphe > div {
	margin: 1em;
}

.graphe table {
	margin: 1em;
}

.important{
	width: 80%;
	border: 5px solid crimson;
	border-radius: 5px 5px 0 0;
	margin: 1em auto;
	padding: 1em;
}

.important::before {
    content: 'Important';
    color: white;
    float: left;
    position: absolute;
    background-color: crimson;
    margin-top: 1em;
    margin-left: -4.5em;
    padding: 0 7px;
    border-radius: 5px 5px 0 0;
    transform: rotate(-90deg);
    font-size: 1em;
}

.techno {
	margin: 1em 1em 1em 2em;
	padding: 1em 0 1em 2em;
	border-left: 10px ridge coral;
}

.techno::before {
    content: 'Technique';
    color: white;
    float: left;
    position: absolute;
    background-color: coral;
    margin-top: 1.05em;
    margin-left: -6em;
    padding: 0 7px;
    border-radius: 5px 5px 0 0;
    transform: rotate(-90deg);
    font-size: 1em;
}

.remarque {
	margin: 1em 1em 1em 2em;
	padding: 1em 0 1em 2em;
	border-left: 5px solid PaleGreen;
}

.remarque::before {
    content: 'Remarque';
    color: black;
    float: left;
    position: absolute;
    background-color: PaleGreen	;
    margin-top: 1.05em;
    margin-left: -5.5em;
    padding: 0 7px;
    border-radius: 5px 5px 0 0;
    transform: rotate(-90deg);
    font-size: 1em;
}

.folded {
	opacity: 0;
   transition: all 1s;
   overflow: hidden;
   max-height: 0;
}

.unfolded {
	opacity: 1;
	max-height: 9999999px;

}

.puzzle-code > ul {
	background-color: #f0f0f0;	
	border-style: solid;
	border-radius: 10px;
	padding: 1em;
	width: min-content;
	overflow: hidden;	
	max-width: 100%;				
}

.puzzle-code > ul > li {
	list-style-type: none;
	display: block;
	width: min-content;				
}

.puzzle-code > ul > li > pre {
	font-family: monospace;
	font-size: 1.5em;
	display: inline;	
}

.draggable-over {
	border-style: dotted;				
}

.draggable-dragging {
	opacity : 0.5;				
}